<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="app.fedilab.fedilabtube">


    <application
        android:name=".FedilabTube"
        android:allowBackup="false"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        tools:replace="android:allowBackup">

        <activity
            android:name=".MainActivity"
            tools:node="merge">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />
                <data android:scheme="content" />
                <data android:scheme="file" />
                <data android:mimeType="*/*" />
                <data android:pathPattern=".*\\.tubelab" />
                <data android:pathPattern=".*\\..*\\.tubelab" />
                <data android:pathPattern=".*\\..*\\..*\\.tubelab" />
                <data android:pathPattern=".*\\..*\\..*\\..*\\.tubelab" />
                <data android:pathPattern=".*\\..*\\..*\\..*\\..*\\.tubelab" />
                <data android:pathPattern=".*\\..*\\..*\\..*\\..*\\..*\\.tubelab" />
            </intent-filter>
        </activity>

    </application>
</manifest>